//************************************************************************************************
//
//    NOMBRE DEL ARCHIVO: CDatos.h
//    MDULO:
//    FECHA: 11-06-06
//    AUTOR: Arturo Gil Aparicio
//    DESCRIPCIN: Declaracin de la clase CDatos.
//
//************************************************************************************************

#ifndef __CDATOS_H__
#define __CDATOS_H__

//--------------------------------------------------------------------
// Bloque de definiciones  comunes
//--------------------------------------------------------------------
// Definicin de constantes

// Definicin de macros

// Definicin de tipos de datos y clases
class CDatos
{
      private:
          int num;
          int *datos;               
     
      public:
       	  CDatos(int n=3);          // constructor con numeros de datos (3 por defecto)
          CDatos(int n, int *data); // constructor con filas, columnas y valores
		  CDatos(CDatos &orig);	    //constructor copia
          ~CDatos(void);                       

		  void IntroducirValores(void);         
          void Grafica(void);        // grafica los datos
          float CalculaMedia();

		  CDatos& operator = (const CDatos &der);		  
          CDatos operator << (CDatos der);         
}; // fin de la clase CDatos

//--------------------------------------------------------------------
#ifndef    __CDATOS_CPP__
//--------------------------------------------------------------------
// Bloque de definiciones externas

// Variables Globales externas

//--------------------------------------------------------------------
#else
//--------------------------------------------------------------------
// Bloque de definiciones internas

// Prototipos de funciones internas

//--------------------------------------------------------------------
#endif		// Fin bloque de definiciones internas
#endif		// Fin bloque de la cabecera
